Skip to main content
`Ctrl`+`K`

# TAOLINESEARCHMT

More-Thuente line-search type with cubic interpolation that satisfies both the sufficient decrease and curvature conditions. This method can take step lengths greater than 1, [MoreT92]

## Options Database Key

- -tao_ls_type more- thuente - use this line search type

## References

[MoreT92]

Jorge J. Moré and David Thuente. Line search algorithms with guaranteed sufficient decrease. Technical Report MCS-P330-1092, Mathematics and Computer Science Division, Argonne National Laboratory, 1992.

## See Also

`TaoLineSearchCreate()`, `TaoLineSearchSetType()`, `TaoLineSearchApply()`

## Level

developer

## Location

src/tao/linesearch/impls/morethuente/morethuente.c

Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages